Skip to main content
`Ctrl`+`K`

# TSBDF

DAE solver using implicit backward differentiation formula (BDF) methods suitable for stiff ODEs.

## Options Database Keys

- -ts_bdf_order <n> - Order of the BDF method

- -ts_bdf_initial_guess_extrapolate <true, false> - Extrapolate the initial guess of the nonlinear solve from previous time steps, defaults to true

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSCreate()`, `TSSetType()`, `TSType`, `TSBDFSetOrder()`

## Level

beginner

## Location

src/ts/impls/bdf/bdf.c

## Implementations

TSBDF_GetVecs() in src/ts/impls/bdf/bdf.c
TSBDF_RestoreVecs() in src/ts/impls/bdf/bdf.c
TSBDF_Advance() in src/ts/impls/bdf/bdf.c
TSBDF_VecLTE() in src/ts/impls/bdf/bdf.c
TSBDF_Extrapolate() in src/ts/impls/bdf/bdf.c
TSBDF_Interpolate() in src/ts/impls/bdf/bdf.c
TSBDF_PreSolve() in src/ts/impls/bdf/bdf.c
TSBDF_SNESSolve() in src/ts/impls/bdf/bdf.c
TSBDF_Restart() in src/ts/impls/bdf/bdf.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages